Bug 187621 - Review Request: blam
Review Request: blam
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-01 18:29 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 12:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2006-04-01 18:29:56 EST
Spec Name or Url: http://folk.ntnu.no/sindrb/packages/blam.spec
SRPM Name or Url: http://folk.ntnu.no/sindrb/packages/blam-1.8.2-1.src.rpm

Description: 

Blam is a tool that helps you keep track of the growing
number of news feeds distributed as RSS. Blam lets you
subscribe to any number of feeds and provides an easy to
use and clean interface to stay up to date
Comment 1 John Mahowald 2006-05-20 19:49:21 EDT
I changed configure.in to look for gecko-sharp2 and gtk-sharp2, and also removed
the .a, .la, and .so files. The result:
http://fedorared.org/~john/review/blam-1.8.2-2.src.rpm
Comment 2 Sindre Pedersen Bjørdal 2006-05-20 20:43:51 EDT
Builds after reenabling the find-lang stuff. Doesn't run though. I get this output :

"Unhandled Exception: System.DllNotFoundException: libblam.so
in (wrapper managed-to-native)
Imendio.Blam.MessageConnection:bacon_message_connection_new (string)
in <0x0000f> Imendio.Blam.MessageConnection:.ctor (System.String appName)
in <0x0005f> Imendio.Blam.Application:.ctor (System.String[] args,
System.Object[] props)
in <0x0002c> Imendio.Blam.Application:Main (System.String[] args)
"

Not knowing anything about blam nor C# or anything like this, I've made a patch
that for me at least solves this. Basicly changing all references to libblam.so
to libblam.so.0

Updated spec: http://folk.ntnu.no/sindrb/packages/blam.spec
Updated src.rpm: http://folk.ntnu.no/sindrb/packages/blam-1.8.2-3.src.rpm

If this works for you I'll merge the patches and ship upstream.
Comment 3 Michael Schwendt 2006-05-21 08:12:56 EDT
> removed the .a, .la, and .so files.

Eeek! Why also the .so files? These are plugin DSOs in %_libdir/blam/
which are local to this application.
Comment 4 John Mahowald 2006-05-21 21:03:43 EDT
(In reply to comment #3) 
> Eeek! Why also the .so files? These are plugin DSOs in %_libdir/blam/
> which are local to this application.

Oops. Silly me, that isn't a devel file.
http://fedorared.org/~john/review/blam-1.8.2-4.src.rpm

This version incorporates reenables %find_lang, but it doesn't work, no
translations found.

Sindre, you're still maintainer when this gets through, srpms are just easy to
distribute.
Comment 5 Michael Schwendt 2006-05-22 16:21:12 EDT
> %find_lang, but it doesn't work, no translations found.

Is that on x86_64?

If so, are any of the *gettext configure checks failing for you?
In that case you need to patch the configure script, or get
upstream to use better macros, such as those that come with
glib2-devel's /usr/share/aclocal/glib-gettext.m4. Older macros
use insufficient C casts, which cause the tests to fail.
Comment 6 John Mahowald 2006-05-22 22:35:37 EDT
(In reply to comment #5)
> > %find_lang, but it doesn't work, no translations found.
> 
> Is that on x86_64?
> 
> If so, are any of the *gettext configure checks failing for you?
> In that case you need to patch the configure script, or get
> upstream to use better macros, such as those that come with
> glib2-devel's /usr/share/aclocal/glib-gettext.m4. Older macros
> use insufficient C casts, which cause the tests to fail.
> 

Yes, actually. Are these symptoms?

checking for ngettext in libc... no
checking for ngettext in -lintl... no

Comment 7 Michael Schwendt 2006-05-23 07:12:41 EDT
Yes. In config.log is the info about how it failed. Casting to (int)
where that doesn't work on 64-bit platforms.
Comment 8 John Mahowald 2006-05-28 15:19:32 EDT
Ah ha. With better macros from glib2-devel locales work on x86_64 

http://fedorared.org/~john/review/blam-1.8.2-5.src.rpm
Comment 9 John Mahowald 2006-05-28 16:39:23 EDT
- rpmlint checks return:
W: blam non-conffile-in-etc /etc/gconf/schemas/blam.schemas

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled with %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file
- works

APPROVED

I'll work on getting the patch to the author.
Comment 10 Peter Gordon 2007-02-28 23:06:07 EST
As mentioned on the wiki
(http://fedoraproject.org/wiki/Extras/OrphanedPackages#nomaint), this package
was orphaned a few months ago, most likely as its upstream (Imendio) dropped
development. However, Carlos Martín Nieto has volunteered to pick up where its
upstream left off (http://www.cmartin.tk/blam.html). Thus, I'd like to claim
ownership of this package in Extras and continue from there.

Please change the owner to my address (peter@thecodergeek.com). Thanks.
Comment 11 Sindre Pedersen Bjørdal 2007-03-01 03:23:16 EST
The package was indeed orphaned because blam didn't build on FC6 and upstream
stated that development on blam would not continue. I was unaware of the project
beeing picked up by Carlos Martin Nieto untill now. I am willing to continue
maintaing blam under the new circumstances, or let Peter take over if he wishes
to do so. Either is fine by me. 
Comment 12 Peter Gordon 2007-03-01 17:03:08 EST
Sindre: If you'd like, I'd have no trouble handing over primary maintainership
to you or comaintaining it. :]
Comment 13 Sindre Pedersen Bjørdal 2007-03-02 07:22:21 EST
After some consideration I've come to the conclusion that I'm really lazy: I'm
hereby giving up any claim of maintainership of blam. You take it!
Comment 14 Peter Gordon 2007-03-02 21:39:16 EST
(In reply to comment #13)
> After some consideration I've come to the conclusion that I'm really lazy: I'm
> hereby giving up any claim of maintainership of blam. You take it!

Sounds good. :)

Would you still like to be on the initial-CC list?
Comment 15 Sindre Pedersen Bjørdal 2007-03-03 05:00:39 EST
Yes, please.
Comment 16 Peter Gordon 2007-03-03 05:25:07 EST
(In reply to comment #15)
> Yes, please.

Okey dokey. :) 

Would a CVS admin please add foolish@guezz.net to the initial-CC list in
owners.list for blam? 

Thanks!
Comment 17 Peter Gordon 2007-04-04 23:01:38 EDT
Package Change Request
======================
Package Name: blam
New Branches: FC-6


I'd like to continue with Blam! on FC-6 also and would appreciate a branching
for it. Thanks.
Comment 18 Jens Petersen 2007-04-06 02:42:47 EDT
done

Note You need to log in before you can comment on or make changes to this bug.